from os import path
from setuptools import setup

HERE = path.abspath(path.dirname(__file__))

# Get the long description from the README file
with open(path.join(HERE, 'README.md'), encoding='utf-8') as f:
    LONGDESC = f.read()

setup(
    name="testdays",
    version="1.0.4",
    entry_points={'console_scripts': ['testdays = testdays.cli:main'],},
    author="Adam Williamson",
    author_email="awilliam@redhat.com",
    description="Test Days produces statistics about Fedora Test Days",
    license="GPLv3+",
    keywords="fedora qa test days wiki",
    url="https://pagure.io/fedora-qa/testdays",
    packages=["testdays"],
    install_requires=['setuptools', 'python-bugzilla', 'wikitcms>=1.12'],
    long_description=LONGDESC,
    long_description_content_type='text/markdown',
    classifiers=[
        "Development Status :: 3 - Alpha",
        "Topic :: Utilities",
        "License :: OSI Approved :: GNU General Public License v3 or later "
        "(GPLv3+)",
    ],
)
